Last Comment Bug 712506 - [Galaxy Nexus] Excess lines in favicon and reload button on XHDPI devices
: [Galaxy Nexus] Excess lines in favicon and reload button on XHDPI devices
Status: RESOLVED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: ARM Android
: -- normal (vote)
: Firefox 12
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
: 712015 713259 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-20 16:56 PST by Tony Chung [:tchung]
Modified: 2012-01-13 07:37 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
URL lines screenshot (81.20 KB, image/png)
2011-12-20 16:56 PST, Tony Chung [:tchung]
no flags Details
patch (2.40 KB, patch)
2011-12-20 17:40 PST, Matt Brubeck (:mbrubeck)
mark.finkle: review+
christian: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Tony Chung [:tchung] 2011-12-20 16:56:58 PST
Created attachment 583345 [details]
URL lines screenshot

on ICS, there's an extra horizontal line in the favicon and reload button.  see screenshot.

doesnt affect honeycomb or gingerbread

see screenshot

Repro:
1) install Firefox 9 on ICS device, Galaxy Nexus
2) verify a horizontal line in the UI

Expected:
- no horiz lines
Comment 1 Matt Brubeck (:mbrubeck) 2011-12-20 17:25:52 PST
It looks like this happens on any device with a >300dpi screen, like the Galaxy Nexus.  It happens because the background images for the urlbar endcaps are not positioned correctly.
Comment 2 Matt Brubeck (:mbrubeck) 2011-12-20 17:40:29 PST
Created attachment 583354 [details] [diff] [review]
patch

The gingerbread theme background images aren't big enough to cover the whole endcaps on XHDPI devices.  This fixes it so they blend nicely with the background color when that happens.

Also requesting approval to take this mobile-only CSS fix for Aurora 11 and Beta 10.  This fixes an ugly UI glitch in the main XUL Fennec UI on some newer devices.
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-20 21:14:39 PST
Comment on attachment 583354 [details] [diff] [review]
patch

r+, but I'd like to know why you are changing the colors?
Comment 4 Matt Brubeck (:mbrubeck) 2011-12-20 21:16:47 PST
(In reply to Mark Finkle (:mfinkle) from comment #3)
> Comment on attachment 583354 [details] [diff] [review]
> patch
> 
> r+, but I'd like to know why you are changing the colors?

The colors didn't match the images on gingerbread.  (I think they were left over from the froyo theme.)  On high-dpi devices where the background did not cover the whole endcap, the mismatch caused dark areas outside the image boundaries.
Comment 6 Ed Morley [:emorley] 2011-12-21 04:27:49 PST
https://hg.mozilla.org/mozilla-central/rev/b267a9aab1db
Comment 7 christian 2011-12-21 16:02:14 PST
Comment on attachment 583354 [details] [diff] [review]
patch

[triage comment]
Approved for aurora and beta. UI polish, trivial patch, low risk / mobile-only. Please land as soon as possible
Comment 9 Brion Vibber 2011-12-23 10:28:25 PST
*** Bug 713259 has been marked as a duplicate of this bug. ***
Comment 10 Tony Chung [:tchung] 2011-12-28 09:11:40 PST
Verified fix on 10b2.  Mozilla/5.0 (Android; Linux armv7l; rv:10.0 Gecko/2011011228 Firefox/10.0 Fennec/10.0
Comment 11 Matt Brubeck (:mbrubeck) 2012-01-13 07:37:16 PST
*** Bug 712015 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.